Package org.apache.commons.beanutils

## Class DefaultBeanIntrospector

- java.lang.Object
- - org.apache.commons.beanutils.DefaultBeanIntrospector

All Implemented Interfaces:
  `BeanIntrospector`

    public class DefaultBeanIntrospector
    extends java.lang.Object
    implements BeanIntrospector

The default `BeanIntrospector` implementation.

This class implements a default bean introspection algorithm based on the JDK classes in the `java.beans` package. It discovers properties conforming to the Java Beans specification.

This class is a singleton. The single instance can be obtained using the `INSTANCE` field. It does not define any state and thus can be shared by arbitrary clients. `PropertyUtils` per default uses this instance as its only `BeanIntrospector` object.

Since:
  1.9
Version:
  $Id$

### Field Summary

Fields
`static BeanIntrospector` `INSTANCE` The singleton instance of this class.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `introspect​(IntrospectionContext icontext)` Performs introspection of a specific Java class.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INSTANCE

    public static final BeanIntrospector INSTANCE

The singleton instance of this class.

### Method Detail

#### introspect

    public void introspect​(IntrospectionContext icontext)

Performs introspection of a specific Java class. This implementation uses the `java.beans.Introspector.getBeanInfo()` method to obtain all property descriptors for the current class and adds them to the passed in introspection context.

Specified by:
  `introspect` in interface `BeanIntrospector`
Parameters:
  `icontext` - the introspection context